﻿//-----------------------------------------------------------------------
// <copyright file="BaseDemoModuleCommand.cs" company="dataPartner">
//     Copyright (c) dataPartner s. r. o.  All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

namespace BioWes.Sdk.DemoModule.Commands
{
    using System.Resources;
    using dataPartner.ApplicationFramework4.Commands.Standard;

    /// <summary>BaseDemoModuleCommand</summary>
    internal abstract class BaseDemoModuleCommand : StandardCommand
    {
        #region Constructors

        protected BaseDemoModuleCommand()
        {
        }

        #endregion

        #region StandardCommand Overrides

        protected override ResourceManager ImageResources
        {
            get { return Properties.Resources.ResourceManager; }
        }

        protected override ResourceManager StringResources
        {
            get { return Resources.Messages.ResourceManager; }
        }

        public override bool Enabled
        {
            get { return true; }
        }

        public override bool HasDefaultHandler
        {
            get { return true; }
        }

        #endregion
    }
}
