﻿//-----------------------------------------------------------------------
// <copyright file="DemoModuleUIName.cs" company="dataPartner">
//     Copyright (c) dataPartner s. r. o.  All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

namespace BioWes.Sdk.DemoModule
{
    using dataPartner.ApplicationFramework4.Face;

    /// <summary>GUI names</summary>
    internal static class DemoModuleUIName
    {
        // RibbonTab
        internal static readonly UIName DemoModuleFirstRibbonTab = new UIName("BioWes.Ribbon.DemoModule.FirstTab", "DemoModule FirstTab");

        // RibbonGroups
        internal static readonly UIName DemoModuleRibbonGroup = new UIName("BioWes.Ribbon.DemoModule.Group", "DemoModule Group");
        internal static readonly UIName DemoModuleExternalRibbonGroup = new UIName("BioWes.Ribbon.DemoModule.ExternalGroup", "DemoModuleGroup in another module");

        // RibbonTabCategories
        internal static readonly UIName DemoModuleTabCategory = new UIName("BioWes.Ribbon.DemoModule.TabCategory", "DemoModule Tools");

        // Forms etc.
    }
}
